SDL_GetDayOfYear(3)

NAME
SDL_GetDayOfYear - Get the day of year for a calendar date.

HEADER FILE
Defined in SDL3/SDL_time.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GetDayOfYear(int year, int month, int day);

FUNCTION PARAMETERS

year
    the year component of the date

month
    the month component of the date

day the day component of the date

RETURN VALUE
Returns the day of year [0-365] if the date is valid, otherwise -1; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.